%define	pdir	XML
%define	pnam	Handler-YAWriter
%define name    perl-%{pdir}-%{pnam}
%define version 0.23
%define release 6mdk

Summary:	XML::Handler::YAWriter perl module
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-libxml-perl >= 0.06
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Url: http://www.cpan.org/
Obsoletes:	%{pdir}-%{pnam}
Provides:	%{pdir}-%{pnam}

%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for
this one are that I needed a flexible escaping technique, and want
some kind of pretty printing.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT

%makeinstall DESTDIR=$RPM_BUILD_ROOT

%{__rm} -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{perl_vendorlib}/XML/Handler/*
%{_mandir}/man[13]/*

%changelog
* Sat Aug 02 2003 Ben Reser <ben@reser.org> 0.23-6mdk
- Macroification
- use %%makeinstall
- man path
- perllocal.pod

* Mon May 12 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.23-5mdk
- perl-devel already require perl

* Mon May 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.23-4mdk
- perl-devel

* Mon Mar 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.23-3mdk
- back

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-2mdk
- rebuild for rpm and glibc
- fix missing man page

* Fri Aug 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-1mdk
- fix name (perl-)

* Thu Aug 29 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.23-1mdk
- 1st mdk package from pld
